Subject: Re: Feature request: partial URL matching for credential config

From: "brian m. carlson" <[email-masked]>
Date: Tue, 30 Sep 2025 15:03:48 +0000

On 2025-09-27 at 18:48:46, M Hickford wrote:
> Any thoughts on adding support for URL prefix matching?
> 
> Example syntax could be credential.https://example.com/org1/*.key
> (explicit wildcard) or credential.https://example.com/org1/.key
> (implicit wildcard)

I think I may have added support for this (using the urlmatch patterns)
but didn't document it[0].  I see some tests for it in t0300.  Have you
tried it?

Regardless, I believe it's a useful feature that we should have.

If, perchance, I did add it and it's still around, would you be willing
to write some documentation for it?

[0] I believe Dscho graciously helped fix a few bugs in my changes,
which I appreciate.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA